# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit go-module

DESCRIPTION="Simple and flexible tool for managing secrets"
HOMEPAGE="https://github.com/getsops/sops"
SRC_URI="
	https://github.com/getsops/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
	https://hikari.butaishoujo.moe/b/67314ee3/${P}-vendor.tar.xz
"
LICENSE="MPL-2.0"

SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64"
RESTRICT="mirror"

DOCS=( {CHANGELOG,README}.rst )

src_compile() {
	ego build
}

src_test() {
	ego test || die "test failed"
}

src_install() {
	einstalldocs
	dobin sops
}
