# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit savedconfig meson

DESCRIPTION="dwm-like bar for dwl"
HOMEPAGE="https://git.sr.ht/~raphi/somebar"
SRC_URI="https://git.sr.ht/~raphi/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="
	dev-libs/wayland
	x11-libs/cairo
	x11-libs/pango
"
RDEPEND="${DEPEND}
	>=gui-libs/wlroots-0.17.0
"
BDEPEND="
	dev-libs/wayland-protocols
	dev-util/wayland-scanner
"

PATCHES=(
	"${FILESDIR}/colorless-status.patch"
	"${FILESDIR}/hide-vacant-tags.patch"
	"${FILESDIR}/set-bar-color.patch"
	"${FILESDIR}/fix-wlr-layer-shell-version-check.patch"
)

src_prepare() {
	default
	use savedconfig && restore_config src/config.hpp
	[[ -f src/config.hpp ]] || cp src/config.def.hpp src/config.hpp
}

src_install() {
	meson_src_install
	save_config src/config.hpp
}
